Description

This is a guide for installing BackupPC on FreeBSD 9.3.

Setting up the Environment

e Start by making sure everything is up to date:

pkg update && pkg upgrade
portsnap fetch extract

¢ |nstall portmaster:

pkg install portmaster

Install BackupPC

o |nstall BackupPC from ports:

portmaster sysutils/backuppc

NOTE: | decided to enable [X]INMBLOOKUP, [X]SMBCLIENT and [X]FILE_RSYNCP during the port configuration.

¢ Create a config file for backuppc:

/usr/local/etc/backuppc/update.sh

e Change the ownership of the backuppc config:

chown backuppc:backuppc /usr/local/etc/backuppc/config.pl

e And then enable the service to start at boot:

echo 'backuppc_enable="YES"' >> /etc/rc.conf

e Start backuppc:

service backuppc start

h2 . Install Apache
e |nstall apache24 and mod_perl2:

portmaster www/apache24 www/perl2

¢ Edit the main apache config:

vi /usr/local/etc/apache24/httpd.conf

o And change the User and Group to backuppc:

User backuppc
Group backuppc

e Create a backuppc apache config:

vi /usr/local/etc/apache24/Includes/backuppc.conf
o And add the following:
LoadModule cgi_module libexec/apache24/mod_cgi.so
LoadModule perl_module libexec/apache24/mod_perl.so
<Directory /usr/local/www/cgi-bin>
Options ExecCGI

Require all granted

# You can change the authorization method to LDAP or another method
# besides htaccess here if you are so inclined.

# AuthType Basic

# AuthUserFile /etc/backuppc/backuppc.users

# AuthName "BackupPC Community Edition Administrative Interface"
# require valid-user

</Directory>

<Directory /usr/local/www/backuppc>
DirectoryIndex BackupPC.html
Require all granted

</Directory>
Alias /backuppc /usr/local/www/backuppc
ScriptAlias /BackupPC_Admin /usr/local/www/cgi-bin/BackupPC_Admin

e And then enable the service to start at boot:

echo 'apache24_enable="YES"' >> /etc/rc.conf

* Remove the SUID bit from the backuppc perl script:

chmod u-s /usr/local/www/cgi-bin/BackupPC_Admin

e Start apache24:

service apache24 start
o Now open http://backuppc.example.com/BackupPC_Admin in a web browser

Resources

¢ https://wiki.archlinux.org/index.php/BackupPC

History

#1 - 07/21/2015 10:18 PM - Daniel Curtis

- Description updated

#2 - 07/23/2015 04:46 PM - Daniel Curtis
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 20

#3 - 07/23/2015 06:42 PM - Daniel Curtis

- Description updated

#4 - 07/27/2015 05:06 PM - Daniel Curtis
- Description updated

- % Done changed from 20 to 40

#5 - 07/28/2015 09:01 AM - Daniel Curtis
- Status changed from In Progress to Resolved

- % Done changed from 40 to 100

#6 - 09/11/2015 07:29 PM - Daniel Curtis

- Status changed from Resolved to Closed
